Sort attachments by name
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Is it possible to modify one of the controller files to change the sort order of attachments shown in issues and the wiki? They're

currently all sorted by the date they were uploaded, but I'd like to sort them by file name because I get various results in the order of

files I upload when I do large amoutns (20-30 files) depending on my connection and which browser I use, it starts to make pretty

messy lists. It would be nice if there was a feature to set this in the administrator settings as well. I've searched all over and while I

have found information about sorting files in other sections of Redmine, I cannot find anything for attachments. I hope this is the right

place to submit this.

Related issues:

Related to Redmine - Feature #1718: Table column sorting Closed 2008-07-30

Related to Redmine - Feature #10709: Upload files view in reverse chronogical... New

History

#1 - 2012-07-31 03:11 - Toshi MARUYAMA

- Category set to Attachments

#2 - 2012-08-02 20:34 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Attachment sorting to Sort attachments by name

#3 - 2020-03-21 07:33 - Go MAEDA

If the patch in #1718 is accepted, we can make use of tablesort js library to implement this feature.

#4 - 2020-03-21 07:33 - Go MAEDA

- Related to Feature #1718: Table column sorting added

#5 - 2020-03-21 07:59 - Go MAEDA

- Related to Feature #10709: Upload files view in reverse chronogical order added

#6 - 2021-03-31 10:13 - Yuichi HARADA

- File issue.png added

- File wiki.png added

- File 11543.patch added

I implemented sorting in the attachments list of Issue and Wiki (I referred to #1718). Name, Description, Author, Created can be sorting.

I have attached a patch.
#7 - 2021-04-05 12:03 - Go MAEDA

- Target version set to Candidate for next major release
#8 - 2021-05-14 03:56 - Yuichi HARADA

- File issue-v2.png added

- File 11543-v2.patch added

The following points have been fixed.

To return the sort order to the initial state, the serial number column is added to the beginning so that it can be sorted.

The Author and the Created were separated columns, but the Created column cannot be sorted properly because the format of the displayed

date-time string changes depending on the setting of My account > Language. Therefore, the Author and the Created columns have been

reverted.
Files

issue.png 138 KB 2021-03-31 Yuichi HARADA

wiki.png 118 KB 2021-03-31 Yuichi HARADA

11543.patch 3.4 KB 2021-03-31 Yuichi HARADA

issue-v2.png 126 KB 2021-05-14 Yuichi HARADA

11543-v2.patch 2.89 KB 2021-05-14 Yuichi HARADA
